import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';
import 'package:core_localization/core_localization.dart';

class AddCertificateCard extends StatelessWidget {
  final VoidCallback onTap;

  const AddCertificateCard({super.key, required this.onTap});

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: Container(
        padding: const EdgeInsets.all(UiConstants.space5),
        decoration: BoxDecoration(
          gradient: LinearGradient(
            begin: Alignment.topLeft,
            end: Alignment.bottomRight,
            colors: <Color>[
              UiColors.bgSecondary.withValues(alpha: 0.5),
              UiColors.bgSecondary,
            ],
          ),
          borderRadius: UiConstants.radiusLg,
          border: Border.all(
            color: UiColors.border,
            style: BorderStyle.solid,
          ), 
        ),
        child: Row(
          children: <Widget>[
            const Icon(UiIcons.add, color: UiColors.primary, size: 24),
            const SizedBox(width: UiConstants.space4),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Text(
                  t.staff_certificates.add_more.title,
                  style: UiTypography.body1b.textPrimary,
                ),
                Text(
                  t.staff_certificates.add_more.subtitle,
                  style: UiTypography.body3r.textSecondary,
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
